Bug 1624923 - [downstream clone - 4.2.6] [PPC64LE] enable memory hotplug support
Summary: [downstream clone - 4.2.6] [PPC64LE] enable memory hotplug support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: unspecified
Hardware: ppc64le
OS: Linux
medium
high
Target Milestone: ovirt-4.2.6
: 4.2.6
Assignee: Michal Skrivanek
QA Contact: Polina
URL:
Whiteboard:
Depends On: 1284775
Blocks: 1444027
TreeView+ depends on / blocked
 
Reported: 2018-09-03 15:20 UTC by RHV Bugzilla Automation and Verification Bot
Modified: 2019-04-28 09:35 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Memory hotplugging is now available for ppc64le virtual machines.
Clone Of: 1284775
Environment:
Last Closed: 2018-09-04 13:41:47 UTC
oVirt Team: Virt
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:2623 None None None 2018-09-04 13:42:33 UTC
oVirt gerrit 49061 master MERGED core: disable hotplug for PPC 2018-09-03 15:23:34 UTC
oVirt gerrit 49062 ovirt-engine-3.6 MERGED core: disable hotplug for PPC 2018-09-03 15:23:34 UTC
oVirt gerrit 49072 ovirt-engine-3.6.1 MERGED core: disable hotplug for PPC 2018-09-03 15:23:34 UTC
IBM Linux Technology Center 171315 None None None 2019-07-16 19:58:02 UTC

Description RHV Bugzilla Automation and Verification Bot 2018-09-03 15:20:38 UTC
+++ This bug is a downstream clone. The original bug is: +++
+++   bug 1284775 +++
======================================================================

Temporarily disable hotplug memory support until issues (e.g. bug 1282833, bug 1273491, bug 1272742) are sorted out, then enable it:)

+++ This bug was initially created as a clone of Bug #1282833 +++

(Originally by michal.skrivanek)

Comment 1 RHV Bugzilla Automation and Verification Bot 2018-09-03 15:20:55 UTC
AFAICT only bug 1282833 is ppc64 specific, the other two appear to be x86 as well.  Is that correct?

(Originally by David Gibson)

Comment 3 RHV Bugzilla Automation and Verification Bot 2018-09-03 15:21:06 UTC
so now we have the initial state of hotplug RAM not being enabled on POWER (patch 49072 in the closest to-be-published release).

From now on the bug tracks the required changes (or platform deliverables) to be able to enable it again and match x86 parity as soon as it is deemed stable

(Originally by michal.skrivanek)

Comment 4 RHV Bugzilla Automation and Verification Bot 2018-09-03 15:21:16 UTC
(In reply to David Gibson from comment #1)
> AFAICT only bug 1282833 is ppc64 specific, the other two appear to be x86 as
> well.  Is that correct?

right. however there are more situations, now QE run into bug 1285474, which I believe is the same thing about qemu memory hash tables being too large, just this time exposed on migration flow

(Originally by michal.skrivanek)

Comment 5 RHV Bugzilla Automation and Verification Bot 2018-09-03 15:21:28 UTC
we tested that on current 7.2, still problematic (see related bugs), so we are going to keep hotplug disabled for now until the root issue is resolved

(Originally by michal.skrivanek)

Comment 6 RHV Bugzilla Automation and Verification Bot 2018-09-03 15:21:38 UTC
moving to 4.0 as the bugs this one depends on are heavily in progress and won't be ready before RHEL 7.3

(Originally by michal.skrivanek)

Comment 8 RHV Bugzilla Automation and Verification Bot 2018-09-03 15:21:58 UTC
platform side is not ready yet, would need to push this out to 4.1

(Originally by michal.skrivanek)

Comment 10 RHV Bugzilla Automation and Verification Bot 2018-09-03 15:22:19 UTC
likely need to wait for 7.5

(Originally by michal.skrivanek)

Comment 11 RHV Bugzilla Automation and Verification Bot 2018-09-03 15:22:29 UTC
should work now with 7.5

(Originally by michal.skrivanek)

Comment 12 RHV Bugzilla Automation and Verification Bot 2018-09-03 15:22:39 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{'rhevm-4.2.z': '?'}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{'rhevm-4.2.z': '?'}', ]

For more info please contact: rhv-devops@redhat.com

(Originally by rhv-bugzilla-bot)

Comment 14 RHV Bugzilla Automation and Verification Bot 2018-09-03 15:23:00 UTC
The test was verified by running automation tier1 on ppc9 , version rhv-release-4.2.6-3-001.noarch

https://rhv-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/job/rhv-4.2-ge-runner-tier1/214/

hotplug memory test cases passed successfully

(Originally by Polina Agranat)

Comment 15 RHV Bugzilla Automation and Verification Bot 2018-09-03 15:23:13 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{'rhevm-4.2.z': '?'}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{'rhevm-4.2.z': '?'}', ]

For more info please contact: rhv-devops@redhat.com

(Originally by rhv-bugzilla-bot)

Comment 17 errata-xmlrpc 2018-09-04 13:41:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2623


Note You need to log in before you can comment on or make changes to this bug.